[openlayers3] 02/03: Initial debian files

Johan Van de Wauw johanvdw-guest at moszumanska.debian.org
Thu Dec 25 22:50:42 UTC 2014


This is an automated email from the git hooks/post-receive script.

johanvdw-guest pushed a commit to branch master
in repository openlayers3.

commit 8b553a7eebd6262ab9f4ffc6328a160f5b6506f1
Author: Johan Van de Wauw <johan.vandewauw at gmail.com>
Date:   Thu Dec 25 22:08:21 2014 +0100

    Initial debian files
---
 debian/changelog       |  5 +++++
 debian/compat          |  1 +
 debian/control         | 21 +++++++++++++++++++++
 debian/copyright       | 37 +++++++++++++++++++++++++++++++++++++
 debian/get-orig-source | 45 +++++++++++++++++++++++++++++++++++++++++++++
 debian/install         |  1 +
 debian/rules           | 16 ++++++++++++++++
 debian/source/format   |  1 +
 debian/watch           | 22 ++++++++++++++++++++++
 9 files changed, 149 insertions(+)

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..62f78bb
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+openlayers3 (3.1.1-1) UNRELEASED; urgency=medium
+
+  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
+
+ -- Johan Van de Wauw <johan.vandewauw at gmail.com>  Thu, 25 Dec 2014 22:10:44 +0100
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..ad86bfa
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,21 @@
+Source: openlayers3
+Section: science
+Priority: optional
+Maintainer: Debian GIS Project <pkg-grass-devel at lists.alioth.debian.org>
+Uploaders: Johan Van de Wauw <johan at gisky.be>,
+           Bas Couwenberg <sebastic at xs4all.nl>
+Build-Depends: debhelper (>= 9),
+               python,
+               python-pystache,
+               nodejs,
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/openlayers3.git/
+Vcs-Git: git://anonscm.debian.org/pkg-grass/openlayers3.git
+Homepage: <homepage>
+
+Package: libjs-openlayers3
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: javascript-common
+Description: <short_description>
+ <long_description>
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..fd3dcef
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,37 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: openlayers3
+Source: https://github.com/openlayers/ol3
+
+Files: *
+Copyright: © 2005-2014, OpenLayers Contributors
+License: BSD-2-Clause
+
+Files: debian/*
+Copyright: © 2014, Johan Van de Wauw <johan at gisky.be>
+License: BSD-2-Clause
+
+License: BSD-2-Clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions are met:
+ .
+ 1. Redistributions of source code must retain the above copyright notice, this
+ list of conditions and the following disclaimer.
+ .
+ 2. Redistributions in binary form must reproduce the above copyright notice, this
+ list of conditions and the following disclaimer in the documentation and/or
+ other materials provided with the distribution.
+ .
+ THIS SOFTWARE IS PROVIDED BY OPENLAYERS CONTRIBUTORS ``AS IS'' AND ANY EXPRESS
+ OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+ MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+ EVENT SHALL COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
+ INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+ BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+ LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+ OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+ ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ .
+ The views and conclusions contained in the software and documentation are those
+ of the authors and should not be interpreted as representing official policies,
+ either expressed or implied, of OpenLayers Contributors.
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..e486809
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,45 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+#        http://www.debian.org/doc/debian-policy/ch-source.html
+#        "get-orig-source (optional)"
+#        This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+#     source directory featuring the debian/ dir
+
+COMPRESS=xz
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+TARDIR=${NAME}-${VERSION}
+mkdir -p ../tarballs
+cd ../tarballs
+# need to clean up the tarballs dir first because upstream tarball might
+# contain a directory with unpredictable name
+rm -rf *
+tar -xaf ../${TARDIR}.tar.gz
+
+UPSTREAMTARDIR=`find . -mindepth 1 -maxdepth 1 -type d`
+if [ "${UPSTREAMTARDIR}" != "${TARDIR}" ] ; then
+    mv "${UPSTREAMTARDIR}" "${TARDIR}"
+fi
+
+# Remove useless binaries
+# ... do something which needs to be done ...
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/install b/debian/install
new file mode 100644
index 0000000..2693cb5
--- /dev/null
+++ b/debian/install
@@ -0,0 +1 @@
+build/* /usr/share/openlayers3/
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..c35591a
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,16 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+
+%:
+	dh $@
+
+override_auto_build:
+	python build.py host-examples
+	python build.py apidoc
+	dh_auto_build
+
+override_auto_clean:
+	dh_auto_clean
+	rm -rf build
+	rm -f pake.pyc
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..cf7c3cd
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,22 @@
+version=3
+
+# Uncomment to examine a Webpage
+# <Webpage URL> <string match>
+#http://www.example.com/downloads.php openlayers3-(.*)\.tar\.gz
+
+# Uncomment to examine a Webserver directory
+#http://www.example.com/pub/openlayers3-(.*)\.tar\.gz
+
+# Uncommment to examine a FTP server
+#ftp://ftp.example.com/pub/openlayers3-(.*)\.tar\.gz debian uupdate
+
+# Uncomment to find new files on sourceforge
+# http://sf.net/openlayers3/openlayers3-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+
+# Uncomment to find new files on GooglePages
+# http://code.google.com/p/openlayers3/downloads/list?can=1 \
+#  .*/openlayers3-([-.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
+
+# if tweaking of source is needed
+# \
+# debian debian/get-orig-source

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-grass/openlayers3.git



More information about the Pkg-grass-devel mailing list